import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * The world where ants live.
 * 
 * @author Michael Kölling
 * @version 1.1
 */
public class AntWorld extends World
{
    public static final int SIZE = 620;

    /**
     * Create a new world. It will be initialised with a few ant hills
     * and food sources
     */
    public AntWorld()
    {
        super(SIZE, SIZE, 1);
        setPaintOrder(Ant.class, Pheromone.class, AntHill.class, Food.class);
        //setup01();
        setup0();
    }



    public void setup0()
    {
        removeObjects(getObjects(null));  // remove all existing objects
        addObject(new AntHill(70), SIZE / 4, SIZE / 4);
        addObject(new Food(), SIZE *2/ 3, SIZE*2 / 3 );
        addObject(new Food(), SIZE / 2, SIZE*2 / 3+50 );
        addObject(new Food(), SIZE *2/ 3+30, SIZE*2 / 3+60 );
        addObject(new MousePointer(),0,0);
        addObject(new Pond(),430,200);
        addObject(new Pond(),120,330);
        addObject(new Pond(),380,580);
        _MyCode code = new _MyCode();
        addObject(code,-100,-100);
        code.setup();
    }

    public void setup01()
    {
        removeObjects(getObjects(null));  // remove all existing objects
        addObject(new AntHill(70), SIZE / 2, SIZE / 2);
        for( int y=SIZE/2 ; y>=100 ; y=y-100){
            addObject(new Pond(),SIZE/4,y);
            addObject(new Pond(),SIZE*3/4,y);
        }
        addObject(new Pond(),250,100);
        addObject(new Pond(),350,100);
        addObject(new Food(), SIZE *2/ 3, SIZE*2 / 3 );
        addObject(new Food(), SIZE / 2, SIZE*2 / 3+50 );
        addObject(new Food(), SIZE *2/ 3+30, SIZE*2 / 3+60 );
        addObject(new MousePointer(),0,0);
        
        _MyCode code = new _MyCode();
        addObject(code,-100,-100);
        code.setup();
    }    

    /**
     * Create world contents: one ant hill and food.
     */
    public void setup1()
    {
        removeObjects(getObjects(null));  // remove all existing objects
        addObject(new AntHill(70), SIZE / 2, SIZE / 2);
        addObject(new Food(), SIZE / 2, SIZE / 2 - 260);
        addObject(new Food(), SIZE / 2 + 215, SIZE / 2 - 100);
        addObject(new Food(), SIZE / 2 + 215, SIZE / 2 + 100);
        addObject(new Food(), SIZE / 2, SIZE / 2 + 260);
        addObject(new Food(), SIZE / 2 - 215, SIZE / 2 + 100);
        addObject(new Food(), SIZE / 2 - 215, SIZE / 2 - 100);
    }

    /**
     * Create world contents: two ant hills and food.
     */
    public void setup2()
    {
        removeObjects(getObjects(null));  // remove all existing objects
        addObject(new AntHill(40), 506, 356);
        addObject(new AntHill(40), 95, 267);

        addObject(new Food(), 80, 71);
        addObject(new Food(), 291, 56);
        addObject(new Food(), 516, 212);
        addObject(new Food(), 311, 269);
        addObject(new Food(), 318, 299);
        addObject(new Food(), 315, 331);
        addObject(new Food(), 141, 425);
        addObject(new Food(), 378, 547);
        addObject(new Food(), 566, 529);
    }

    /**
     * Create world contents: two ant hills and food.
     */
    public void setup3()
    {
        removeObjects(getObjects(null));  // remove all existing objects
        addObject(new AntHill(40), 576, 134);
        addObject(new AntHill(40), 59, 512);

        addObject(new Food(), 182, 84);
        addObject(new Food(), 39, 308);
        addObject(new Food(), 249, 251);
        addObject(new Food(), 270, 272);
        addObject(new Food(), 291, 253);
        addObject(new Food(), 339, 342);
        addObject(new Food(), 593, 340);
        addObject(new Food(), 487, 565);
    }
}
